Tomcat crashes due to a memory leak when using java 8 and the univiewer webconsole

Document ID : KB000087056
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
The following errors appear on the tomcat dump log:

###############
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # A fatal error has been detected by the Java Runtime Environment: 
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # 
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # SIGSEGV (0xb) at pc=0x00007fc455ed27d2, pid=20187, tid=140480774440704 
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # 
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # JRE version: Java(TM) SE Runtime Environment (8.0_51-b16) (build 1.8.0_51-b16) 
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # Java VM: Java HotSpot(TM) 64-Bit Server VM (25.51-b03 mixed mode linux-amd64 compressed oops) 
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # Problematic frame: 
Aug 05 17:04:36 vmstlce7.orsyptst.com server[20187]: # V [libjvm.so+0x8787d2] LoadNode::Value(PhaseTransform*) const+0x202 
###############

Patch level detected:Univiewer Console 6.4.21
Product Version: Dollar.Universe 6.4.21

Description :The Tomcat server, if configured with Java 8, crashes while using the Univiewer Webconsole 6.4.21 or superior.
The issue does not occur when not using the webconsole or while using another application deployed on the same tomcat.
Environment:
OS: All
Related configuration item(s): Tomcat 7 or Tomcat 8 with Java 8 inferior to 1.8.0_60
Cause:
Cause type:
Other
Root Cause: The issue was due to a Java 8 bug that has been fixed starting on Java 8 version 1.8.0_60
Resolution:
In order to fix the issue upgrade the java 8 version to 1.8.0_60 or superior.

Fix Status: Released

Fix Version(s):
Component: Univiewer.Console
Version: Dollar.Universe 6.4.41
Additional Information:
Workaround :
N/A